PIPELIGHT(1)

NAME
Pipelight - use Windows plugins in Linux browsers (based on Wine)

SYNOPSIS
pipelight-plugin [OPTIONS ...] COMMAND

For a list of possible options and commands please take a look at the OPTIONS/COMMANDS section on the man page.

DESCRIPTION
Pipelight is a special browser plugin which allows one to use Windows only plugins inside Linux browsers. Currently supported plugins are Silverlight, Flash, Shockwave, the Unity3D Webplayer, and some more (see the PLUGINS section).

The commandline utility pipelight-plugin allows you to enable/disable plugins and to update the plugin database.

OPTIONS/COMMANDS

  Options:

-y, --accept
    Don't ask the user for license confirmation, instead enable plugins directly. Can be used to automate the process of accepting the license agreement.

  User commands:

--enable PLUGIN
    Enables the specified plugin for the current user (by creating a symlink in $HOME/.mozilla/plugins). When you run this command as root the plugin is enabled system-wide by creating a symlink in the mozilla plugins directory instead (often located at /usr/lib64/mozilla/plugins). For a list of plugins see the PLUGINS section in this man page.

--disable PLUGIN
    Disables the specified plugin for the current user, or disables the system-wide symlink when executed as root. Please note that a plugin may still stay active if it was enabled both system-wide and for the current user before.

--disable-all
    Disables all enabled plugins. For more details see --disable.

--list-enabled
    Returns a list of all plugins which are enabled for the current user. The result contains one plugin per line in order to simplify parsing by external scripts.

--list-enabled-all
    Returns a list which contains both the plugins enabled for the current user and additionally the system-wide enabled plugins. If a plugin is enabled multiple times it also appears multiple times in the list.

--system-check
    Will perform some system checks to ensure that wine and all required components are installed correctly. A warning doesn't necessarily mean that something is wrong, but if you encounter a problem it is useful to attach this to your bug report.

--help
    Shows a short version of this help.

--version
    Shows the current version of Pipelight.

  Global commands (require root rights):

--create-mozilla-plugins
    In order to make it possible to use multiple Windows plugins with Pipelight at the same time, it is necessary to have multiple copies of libpipelight.so installed. This command is typically used in the installation process of Pipelight itself to create all the necessary copies. On a first execution it will only create the libraries for the standard plugins, on all future executions it will additionally update all unlocked additional plugins.

--remove-mozilla-plugins
    Removes all the copies of libpipelight.so. This command is typically used during the uninstallation (but not for updating!). All unlocked plugins are locked again afterwards.

--unlock PLUGIN
    To save some disk space the default installation of Pipelight only creates copies of libpipelight.so for the most commonly used plugins. This command can be used to unlock an additional plugin by creating another copy of libpipelight.so. Afterwards you can --enable it like any other standard plugin.

--lock PLUGIN
    Removes the copy of libpipelight.so for a specific plugin. This command can only be used for additional plugins, not for the standard plugins.

--update
    Establishes a connection to the Pipelight upstream repository and downloads the latest version of the plugin database (called dependency-installer) containing the plugin URLs and checksums. The main purpose of this command is to update the plugins between the official Pipelight releases. The signature of the downloaded file is checked to prevent corruption or modification.

ENVIRONMENT VARIABLES
You can export the following environment variables to modify the behaviour of pipelight-plugin.

MOZ_PLUGIN_PATH
    Create the plugin symlinks in the provided path instead of $HOME/.mozilla/plugins. You can use this environment variable to keep your Pipelight plugins separate from your other browser plugins.

PLUGINS
Pipelight currently supports the following browser plugins:

Standard plugins
    silverlight5.1, silverlight5.0, silverlight4, flash, unity3d, widevine

Additional plugins (experimental or not often used):
    shockwave, foxitpdf, grandstream, adobereader, hikvision, npactivex, roblox

EXAMPLES

Here are some typical examples how to use pipelight-plugin.

$ sudo pipelight-plugin --update

Downloads the latest version of the plugin database. If there was a new update, it will be installed on the next browser restart or when the plugin is reloaded the next time.

$ sudo pipelight-plugin --enable silverlight --enable unity3d

Enable multiple plugins (in this example Silverlight and the Unity3D Webplayer) system-wide.

$ MOZ_PLUGIN_PATH=$HOME/myplugins pipelight-plugin --enable silverlight
$ MOZ_PLUGIN_PATH=$HOME/myplugins/ google-chrome --user-data-dir=$HOME/.config/chrome-pipelight

The first line enables Silverlight in the (self-defined) plugin directory $HOME/myplugins, afterwards Google-Chrome is started with the same environment variable, such that it can detect the Silverlight plugin. All other browsers will not have Silverlight enabled, because they don't search for plugins in the custom plugin directory.

FILES

/usr/bin/pipelight-plugin
    Commandline utility to enable/disable plugins and to update the plugin database.

/usr/lib64/pipelight/libpipelight*.so
    The shared library libpipelight.so and additional copies for all unlocked and standard plugins.

/usr/share/pipelight/licenses/*
    License information for supported plugins.

/usr/share/pipelight/configs/*
    Configuration files containing for example which dependencies are required for a specific plugin, and where Pipelight can find the plugin DLLs. Normally there should be no need to edit them manually!

/usr/share/pipelight/scripts/*
    Helper scripts for specific plugins, for example to enable/disable GPU acceleration.

/usr/share/pipelight/*
    Directory containing other files used internally by Pipelight.

/usr/lib64/mozilla/plugins/libpipelight-*.so
    Symlinks to all enabled system-wide plugins.

$HOME/.mozilla/plugins/libpipelight-*.so
    Symlinks to all enabled user-specific plugins.

COPYRIGHT
Pipelight can be distributed under the terms of the MPL-1.1 or GPL-2.0 or LGPL-2.1 license.
Please note that most of the plugins also have their own end-user license agreement. Take a look there or ask the developers if you want to redistribute Pipelight with third-party plugins included.

BUGS
Bugs can be reported on the Pipelight Launchpad project page (https://launchpad.net/pipelight). Please note that Pipelight uses a patched wine version, so don't report Wine related bugs at the official Wine bug tracker. Instead report them also at the Pipelight project page (unless you can reproduce them with an unpatched version of Wine).

SEE ALSO
Pipelight Launchpad project page (https://launchpad.net/pipelight),
Installation instructions (http://pipelight.net/cms/installation.html),
#pipelight on IRC freenode